Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.addressbook
Class ExchangeContact

    java.lang.Object
      portlets.compoze.groupware.AbstractItem
          portlets.compoze.groupware.addressbook.Contact
              portlets.compoze.groupware.addressbook.ExchangeContact

All Implemented Interfaces:
  java.io.Serializable

public class ExchangeContact
extends Contact
implements java.io.Serializable

This class represents an exchange contact.

See Also:
  Serialized Form

Constructor Summary
`ExchangeContact()` Constructor.
`ExchangeContact(java.lang.String sID)` Constructor.

Method Summary
`java.lang.String` | `getAccount()` Gets the account for the contact.
`java.util.Date` | `getAnniversary()` Gets the anniversary date for the contact.
`java.lang.String` | `getAnniversaryString(java.util.Locale locale)` Gets the birthday localized string.
`java.lang.String` | `getBillingInfo()` Gets the billing info for the exchange contact.
`java.lang.String` | `getCommentHtml()` Gets the comment text in HTML format.
`java.lang.String` | `getComputerNetworkName()` Gets the name of the computer network for the contact.
`java.lang.String` | `getCountry()` Gets the country of the contact.
`java.lang.String` | `getFileAs()` Gets the file as for the contact.
`java.lang.String` | `getFtpSite()` Gets the ftp site for the contact.
`java.lang.String` | `getHobbies()` Gets the hobbies of the contact.
`java.lang.String` | `getIMAddress()` Gets the IM address of the contact.
`java.lang.String` | `getInitials()` Gets the initials of the contact.
`java.lang.String` | `getInternetFreeBusyAddress()` Gets the internet free busy address for the contact.
`java.lang.String` | `getLanguage()` Gets the language for the contact.
`java.lang.String` | `getLocality()` Gets the locality of the contact.
`java.lang.String` | `getMileage()` Gets the mileage of the contact.
`java.lang.String` | `getOfficeLocation()` Gets the office location for the contact.
`java.lang.String` | `getPersonalHomePage()` Gets the personal home page for the contact.
`java.lang.String` | `getPostalCode()` Gets the postal code of the contact.
`java.lang.String` | `getProfession()` Gets the profession for the contact.
`java.lang.String` | `getReferredByName()` Gets the name of the person who referred the contact.
`java.lang.String` | `getStreetAddress()` Gets the street address of the contact.
`java.lang.String` | `getUserField1()` Gets the user field1 for the contact.
`java.lang.String` | `getUserField2()` Gets the user field2 for the contact.
`java.lang.String` | `getUserField3()` Gets the user field3 for the contact.
`java.lang.String` | `getUserField4()` Gets the user field4 for the contact.
`boolean` | `isAnyBusinessInfo()` Checks if any of the business information is set for the contact.
`boolean` | `isAnyOtherInfo()` Checks if any fields for other information are set for the contact.
`boolean` | `isAnyPersonalInfo()` Checks if any of the personal information is set for the contact.
`boolean` | `isAnyPhoneInfo()` Checks if any of the phone numbers is set for the contact.
`void` | `setAccount(java.lang.String sAccount)` Sets the account for the contact.
`void` | `setAnniversary(java.util.Date anniversary)` Sets the anniversary information for the contact.
`void` | `setBillingInfo(java.lang.String sBillingInfo)` Sets the billing info for the contact.
`void` | `setComputerNetworkName(java.lang.String sComputerNetworkName)` Sets the name of the computer network for the contact.
`void` | `setCountry(java.lang.String sCountry)` Sets the country of the contact.
`void` | `setFileAs(java.lang.String sFileAs)` Sets the file as for the contact.
`void` | `setFtpSite(java.lang.String sFtpsite)` Sets the ftp site for the contact.
`void` | `setHobbies(java.lang.String sHobbies)` Sets the hobbies for the contact.
`void` | `setIMAddress(java.lang.String sIMAddress)` Sets the IM address for the contact.
`void` | `setInitials(java.lang.String sInitials)` Sets the initials of the contact.
`void` | `setInternetFreeBusyAddress(java.lang.String sInternetFreeBusyAddress)` Sets the internet free busy address for the contact.
`void` | `setLanguage(java.lang.String sLanguage)` Sets the language of the contact.
`void` | `setLocality(java.lang.String sLocality)` Sets the locality of the contact.
`void` | `setMileage(java.lang.String sMileage)` Sets the mileage for the contact.
`void` | `setOfficeLocation(java.lang.String sOfficeLocation)` Sets the office location for the contact.
`void` | `setPersonalHomePage(java.lang.String sPersonalHomePage)` Sets the personal home page for the contact.
`void` | `setPostalCode(java.lang.String sPostalCode)` Sets the postal code of the contact.
`void` | `setProfession(java.lang.String sProfession)` Sets the profession for the contact.
`void` | `setReferredByName(java.lang.String sReferredByName)` Sets the name of the person who referred the contact.
`void` | `setStreetAddress(java.lang.String sStreetAddress)` Sets the street address of the contact.
`void` | `setUserField1(java.lang.String sUserField1)` Sets the user field1 for the contact.
`void` | `setUserField2(java.lang.String sUserField2)` Sets the user field2 for the contact.
`void` | `setUserField3(java.lang.String sUserField3)` Sets the user field3 for the contact.
`void` | `setUserField4(java.lang.String sUserField4)` Sets the user field4 for a contact.

Methods inherited from class portlets.compoze.groupware.addressbook.Contact
`getAddressInfo, getAddressInfoArray, getAssistantName, getAssistantPhone, getBirthday, getBirthdayString, getBusinessHomePage, getBusinessMobilePhone, getBusinessPhone, getChildrenNames, getComments, getCompanyName, getDepartment, getDisplayName, getEmail1, getEmail2, getEmailInfo, getEmailInfoArray, getFirstName, getFullName, getHomeAddress, getHomePhone, getJobTitle, getLastName, getLocation, getManagerName, getMiddleName, getMobilePhone, getNameSuffix, getNickname, getPagerPhone, getPhoneInfo, getPhoneInfoArray, getPrimeEmailAddress, getSpouseName, getTitle, getYahooImAddress, isAddressInfo, isEmailInfo, setAddressInfo, setAddressInfo, setAddressInfoArray, setAssistantName, setBirthday, setBusinessHomePage, setChildrenNames, setComments, setCompanyName, setDepartment, setDisplayName, setEmailInfo, setEmailInfo, setEmailInfoArray, setFirstName, setJobTitle, setLastName, setLocation, setManagerName, setMiddleName, setNameSuffix, setNickname, setPhoneInfo, setPhoneInfoArray, setSpouseName, setTitle, setYahooImAddress`

Methods inherited from class portlets.compoze.groupware.AbstractItem
`getAttachmentCount, getAttachmentInfoArray, getBodyHtml, getBodyText, getBodyTextAsHtml, getDateCreated, getID, getImportance, getIndex, getItemType, getSize, getSizeInKilobytes, getSubject, getSubject, hasAttachment, prettyTruncate, setAttachmentCount, setAttachmentInfoArray, setBodyHtml, setBodyText, setDateCreated, setHasAttachment, setID, setImportance, setIndex, setItemType, setSize, setSubject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExchangeContact

    public ExchangeContact()

  Constructor.

### ExchangeContact

    public ExchangeContact(java.lang.String sID)

  Constructor.

Parameters:
  `sID` - the contact ID

Method Detail

### getAnniversaryString

    public java.lang.String getAnniversaryString(java.util.Locale locale)

  Gets the birthday localized string.

  Parameters:
    `locale` - the locale (may not be `null`)
  Returns:
    the birthday localized string or an empty string if not set

### getBillingInfo

    public java.lang.String getBillingInfo()

  Gets the billing info for the exchange contact.

  Returns:
    the billing info

### setBillingInfo

    public void setBillingInfo(java.lang.String sBillingInfo)

  Sets the billing info for the contact.

  Parameters:
    `sBillingInfo` - the billing info

### getComputerNetworkName

    public java.lang.String getComputerNetworkName()

  Gets the name of the computer network for the contact.

  Returns:
    the name of the computer network

### setComputerNetworkName

    public void setComputerNetworkName(java.lang.String sComputerNetworkName)

  Sets the name of the computer network for the contact.

  Parameters:
    `sComputerNetworkName` - the computer network name

### getFtpSite

    public java.lang.String getFtpSite()

  Gets the ftp site for the contact.

  Returns:
    the ftp site

### setFtpSite

    public void setFtpSite(java.lang.String sFtpsite)

  Sets the ftp site for the contact.

  Parameters:
    `sFtpsite` - the ftp site

### getHobbies

    public java.lang.String getHobbies()

  Gets the hobbies of the contact.

  Returns:
    the hobbies

### setHobbies

    public void setHobbies(java.lang.String sHobbies)

  Sets the hobbies for the contact.

  Parameters:
    `sHobbies` - the hobbies

### getIMAddress

    public java.lang.String getIMAddress()

  Gets the IM address of the contact.

  Returns:
    the IM address

### setIMAddress

    public void setIMAddress(java.lang.String sIMAddress)

  Sets the IM address for the contact.

  Parameters:
    `sIMAddress` - the IM address

### getInitials

    public java.lang.String getInitials()

  Gets the initials of the contact.

  Returns:
    the initials

### setInitials

    public void setInitials(java.lang.String sInitials)

  Sets the initials of the contact.

  Parameters:
    `sInitials` - the initials

### getLanguage

    public java.lang.String getLanguage()

  Gets the language for the contact.

  Returns:
    the language

### setLanguage

    public void setLanguage(java.lang.String sLanguage)

  Sets the language of the contact.

  Parameters:
    `sLanguage` - the language

### getStreetAddress

    public java.lang.String getStreetAddress()

  Gets the street address of the contact.

  Returns:
    the street address

### setStreetAddress

    public void setStreetAddress(java.lang.String sStreetAddress)

  Sets the street address of the contact.

  Parameters:
    `sStreetAddress` - the street address

### getCountry

    public java.lang.String getCountry()

  Gets the country of the contact.

  Returns:
    the country

### setCountry

    public void setCountry(java.lang.String sCountry)

  Sets the country of the contact.

  Parameters:
    `sCountry` - the country

### getPostalCode

    public java.lang.String getPostalCode()

  Gets the postal code of the contact.

  Returns:
    the postal code

### setPostalCode

    public void setPostalCode(java.lang.String sPostalCode)

  Sets the postal code of the contact.

  Parameters:
    `sPostalCode` - the postal code

### getLocality

    public java.lang.String getLocality()

  Gets the locality of the contact.

  Returns:
    the locality

### setLocality

    public void setLocality(java.lang.String sLocality)

  Sets the locality of the contact.

  Parameters:
    `sLocality` - the locality

### getMileage

    public java.lang.String getMileage()

  Gets the mileage of the contact.

  Returns:
    the mileage

### setMileage

    public void setMileage(java.lang.String sMileage)

  Sets the mileage for the contact.

  Parameters:
    `sMileage` - the mileage

### getReferredByName

    public java.lang.String getReferredByName()

  Gets the name of the person who referred the contact.

  Returns:
    the name of the person who referred the contact

### setReferredByName

    public void setReferredByName(java.lang.String sReferredByName)

  Sets the name of the person who referred the contact.

  Parameters:
    `sReferredByName` - the name of the person who referred the contact

### getAccount

    public java.lang.String getAccount()

  Gets the account for the contact.

  Returns:
    the account

### setAccount

    public void setAccount(java.lang.String sAccount)

  Sets the account for the contact.

  Parameters:
    `sAccount` - the account

### getPersonalHomePage

    public java.lang.String getPersonalHomePage()

  Gets the personal home page for the contact.

  Returns:
    the personal home page

### setPersonalHomePage

    public void setPersonalHomePage(java.lang.String sPersonalHomePage)

  Sets the personal home page for the contact.

  Parameters:
    `sPersonalHomePage` - the personal home page

### getOfficeLocation

    public java.lang.String getOfficeLocation()

  Gets the office location for the contact.

  Returns:
    the office location

### setOfficeLocation

    public void setOfficeLocation(java.lang.String sOfficeLocation)

  Sets the office location for the contact.

  Parameters:
    `sOfficeLocation` - the office location

### getUserField1

    public java.lang.String getUserField1()

  Gets the user field1 for the contact.

  Returns:
    the user field1

### setUserField1

    public void setUserField1(java.lang.String sUserField1)

  Sets the user field1 for the contact.

  Parameters:
    `sUserField1` - the user field1

### getUserField2

    public java.lang.String getUserField2()

  Gets the user field2 for the contact.

  Returns:
    the user field2

### setUserField2

    public void setUserField2(java.lang.String sUserField2)

  Sets the user field2 for the contact.

  Parameters:
    `sUserField2` - the user field2

### getUserField3

    public java.lang.String getUserField3()

  Gets the user field3 for the contact.

  Returns:
    the user field3

### setUserField3

    public void setUserField3(java.lang.String sUserField3)

  Sets the user field3 for the contact.

  Parameters:
    `sUserField3` - the user field3

### getUserField4

    public java.lang.String getUserField4()

  Gets the user field4 for the contact.

  Returns:
    the user field4

### setUserField4

    public void setUserField4(java.lang.String sUserField4)

  Sets the user field4 for a contact.

  Parameters:
    `sUserField4` - the user field4

### getInternetFreeBusyAddress

    public java.lang.String getInternetFreeBusyAddress()

  Gets the internet free busy address for the contact.

  Returns:
    the internet free busy address

### setInternetFreeBusyAddress

    public void setInternetFreeBusyAddress(java.lang.String sInternetFreeBusyAddress)

  Sets the internet free busy address for the contact.

  Parameters:
    `sInternetFreeBusyAddress` - the internet free busy address

### getFileAs

    public java.lang.String getFileAs()

  Gets the file as for the contact.

  Returns:
    the file as for the contact

### setFileAs

    public void setFileAs(java.lang.String sFileAs)

  Sets the file as for the contact.

  Parameters:
    `sFileAs` - the file as

### getProfession

    public java.lang.String getProfession()

  Gets the profession for the contact.

  Returns:
    the profession for the contact

### setProfession

    public void setProfession(java.lang.String sProfession)

  Sets the profession for the contact.

  Parameters:
    `sProfession` - the profession

### getAnniversary

    public java.util.Date getAnniversary()

  Gets the anniversary date for the contact.

  Returns:
    the anniversary or `null` for none

### setAnniversary

    public void setAnniversary(java.util.Date anniversary)

  Sets the anniversary information for the contact.

  Parameters:
    `anniversary` - the anniversary

### isAnyPhoneInfo

    public boolean isAnyPhoneInfo()

  Checks if any of the phone numbers is set for the contact.

  Overrides:
    `isAnyPhoneInfo` in class `Contact`
  Returns:
    `true` if any of the phone numbers is not or empty or `false` otherwise

### isAnyBusinessInfo

    public boolean isAnyBusinessInfo()

  Checks if any of the business information is set for the contact.

  Overrides:
    `isAnyBusinessInfo` in class `Contact`
  Returns:
    `true` if any of the business information is not or empty or `false` otherwise

### isAnyPersonalInfo

    public boolean isAnyPersonalInfo()

  Checks if any of the personal information is set for the contact.

  Overrides:
    `isAnyPersonalInfo` in class `Contact`
  Returns:
    `true` if any of the personal information is not or empty or `false` otherwise

### isAnyOtherInfo

    public boolean isAnyOtherInfo()

  Checks if any fields for other information are set for the contact.

  Returns:
    `true` if any of the other information is not or `empty` or `false` otherwise

### getCommentHtml

    public java.lang.String getCommentHtml()

  Gets the comment text in HTML format.

  Overrides:
    `getCommentHtml` in class `Contact`
  Returns:
    the comment text in HTML format

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.